Subject: [Idr] Fw: New Version Notification for draft-ietf-idr-route-leak-detection-mitigation-06.txt

From: "Sriram, Kotikalapudi (Fed)" <[email-masked]>
Date: Tue, 7 Mar 2017 03:35:41 +0000

In this version 06 draft, the following sections are new or significantly updated:     

4.  Mechanisms for Prevention, Detection and Mitigation of Route Leaks . . 6
4.1.  Ascertaining Peering Relationship . . . . . . . . . . . .   6
     4.2.  Prevention of Route Leaks at Local AS: Intra-AS Messaging…   7
       4.2.1.  Non-Transitive BGP Community for Intra-AS Messaging …   7
       4.2.2.  Non-Transitive BGP pRLP Attribute for Intra-AS Messaging …    8
    6.5.  Per-Hop RLP Field or Single RLP Flag per Update?  . . . .  16
8.  IANA Considerations . . . . . . . . . . . . . . . . . . . . .  19

Section 6.5 has a fresh new illustrated example for understanding 
comparisons between per-hop RLP Field vs. single RLP Flag per update.

Comments welcome.

Thanks,
Sriram  

________________________________________
From: [email-masked] <[email-masked]>
Sent: Monday, March 6, 2017 9:59 PM
To: Sriram, Kotikalapudi (Fed); Montgomery, Douglas (Fed); Andrei Robachevsky; Brian Dickson; Keyur Patel
Subject: New Version Notification for draft-ietf-idr-route-leak-detection-mitigation-06.txt

A new version of I-D, draft-ietf-idr-route-leak-detection-mitigation-06.txt
has been successfully submitted by Kotikalapudi Sriram and posted to the
IETF repository.

Name:           draft-ietf-idr-route-leak-detection-mitigation
Revision:       06
Title:          Methods for Detection and Mitigation of BGP Route Leaks
Document date:  2017-03-06
Group:          idr
Pages:          24
URL:            https://www.ietf.org/internet-drafts/draft-ietf-idr-route-leak-detection-mitigation-06.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-idr-route-leak-detection-mitigation/
Htmlized:       https://tools.ietf.org/html/draft-ietf-idr-route-leak-detection-mitigation-06
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-route-leak-detection-mitigation-06

Abstract:
   RFC 7908 provides a definition of the route leak problem, and also
   enumerates several types of route leaks.  This document first
   examines which of those route-leak types are detected and mitigated
   by the existing origin validation (OV) [RFC 6811].  It is recognized
   that OV offers a limited detection and mitigation capability against
   route leaks.  This document specifies enhancements that significantly
   extend the route-leak prevention, detection, and mitigation
   capabilities of BGP.  One solution component involves intra-AS
   messaging from ingress router to egress router using a BGP Community
   or Attribute.  This intra-AS messaging prevents the AS from causing
   route leaks.  Another solution component involves carrying a per-hop
   route-leak protection (RLP) field in BGP updates.  The RLP fields are
   proposed to be carried in a new optional transitive attribute, called
   BGP RLP attribute.  The RLP attribute helps with detection and
   mitigation of route leaks at ASes downstream from the leaking AS.